Manually trigger Webhook execution
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Manually trigger webhook execution by specifying webhookId, optional request headers and request body
Method name
ManagementClient.trigger_webhook
Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| webhookId | string | Yes | - | Webhook ID | 6229ffaxxxxxxxxcade3e3d9 |
| requestHeaders | object | No | - | Request headers | {"eventName":"test","data":{"description":"A test from authing"}} |
| requestBody | object | No | - | Request body | {"eventName":"test","data":{"description":"A test from authing"}} |
Request response
Type: TriggerWebhookRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful, 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | <a TriggerWebhookData | Response data |
Sample result:
json
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"response": {}
}
}Data structure
TriggerWebhookData
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| response | Yes | The response data returned by the original interface Nested type: <a Any. |
Any
| Name | Type | Is it required? | Description | Sample value |
|---|